## GstRTSPContext

GstRTSPContext — A client request context

## Functions

GstRTSPContext * | gst_rtsp_context_get_current ()
void | gst_rtsp_context_push_current ()
void | gst_rtsp_context_pop_current ()

## Types and Values

struct | GstRTSPContext

## Object Hierarchy

        gpointer
        ╰── GstRTSPContext

## Description

Last reviewed on 2013-07-11 (1.0.0)

## Functions

### gst_rtsp_context_get_current ()

    GstRTSPContext *
    gst_rtsp_context_get_current (void);

### gst_rtsp_context_push_current ()

    void
    gst_rtsp_context_push_current (GstRTSPContext *ctx);

Pushes `ctx` onto the context stack. The current context can then be received using `gst_rtsp_context_get_current()`.

#### Parameters

ctx | a #GstRTSPContext |

### gst_rtsp_context_pop_current ()

    void
    gst_rtsp_context_pop_current (GstRTSPContext *ctx);

Pops `ctx` off the context stack (verifying that `ctx` is on the top of the stack).

#### Parameters

ctx | a GstRTSPContext |

## Types and Values

### struct GstRTSPContext

    struct GstRTSPContext;

Information passed around containing the context of a request.

#### Members

## See Also

GstRTSPServer, GstRTSPClient